WordPress.org

Ready to get started?Download WordPress

Forums

Deprecated user levels found in two wp-admin files (4 posts)

  1. sleeplessinDC
    Member
    Posted 1 year ago #

    I ran wp-debug to check on something in my blog and it came up with two problems that need to be fixed in the WordPress code:
    wp-admin/includes/plugin.php:1008 - Usage of user levels by plugins and themes is deprecated. Use roles and capabilities instead.
    wp-admin/menu-header.php:112 - Usage of user levels by plugins and themes is deprecated. Use roles and capabilities instead.

  2. fonglh
    Member
    Posted 1 year ago #

    No, you need to fix the plugins or themes which are using the deprecated code in those files.

  3. sleeplessinDC
    Member
    Posted 1 year ago #

    What text do I search for to find which ones use the user levels?

  4. fonglh
    Member
    Posted 1 year ago #

    add_submenu_page

Topic Closed

This topic has been closed to new replies.

About this Topic